#include<bits/stdc++.h>
#define N 2000007
using namespace std;
bool nt[N];
void sang()
{
    nt[0]=nt[1]=false;
    for(int i=2;i<=N;i++)
        nt[i]=true;
    for(int i=2;i*i<=N;i++)
        if(nt[i])
            for(int j=i*i;j<=N;j+=i)
                nt[j]=false;
}
int p;
int main()
{
    ios_base::sync_with_stdio(0);
	cin.tie(0);cout.tie(0);
    freopen("BERTRAN.INP","r",stdin);
    freopen("BERTRAN.OUT","w",stdout);
    cin>>p;
    sang();
    int d=0;
    for(int i=p+1;i<2*p;i++)
        if(nt[i])
        {
            cout<<i<<" ";
            d++;
        }
    cout<<'\n'<<d;
    return 0;
}
